#!/bin/ksh
# script for copying EXPORTS from
# wwwfoil directory 
#

ORIGINAL=../original.html
ABSTRACT=../titleabsforsumm
OPTIONS=../options
PERSWWW=../perswww
OUT_EXP=course.exp
CP="ln -s -f"
DISPLAY=true
#DISPLAY non empty means than file names are displayed

#echo "Copying exports from GCF directories to current directory  v. 1.02."
#echo ""
CURRENT=`pwd`

  #echo "Copying files to `pwd` directory."
  if [ -r ${ABSTRACT} ]
  then
	echo "    Copying <${ABSTRACT}> as beginning part of <${OUT_EXP}>."
	cp ${ABSTRACT} ${OUT_EXP}
  else
	echo "    Warning: file <${ABSTRACT}> not found."
  fi
  if [ -r ${ORIGINAL} ]
  then
    echo "    Copying <${ORIGINAL}> file as ending part of <${OUT_EXP}>."
    cat ${ORIGINAL} >>${OUT_EXP} 
  else
    echo "    Warning: file <${ORIGINAL}> not found."
  fi
  if [ -r ${OPTIONS} ]
  then
    echo "    Copying <${OPTIONS}> file."
    ${CP} ${OPTIONS} .
  else
    echo "    Warning: file <${OPTIONS}> not found."
  fi
 if [ -r ${PERSWWW} ]
  then
    echo "    Copying <${PERSWWW}> file."
    ${CP} ${PERSWWW} . 
  else
    echo "    File <${PERSWWW}> not found, replacing by one-line file."
    echo "Aliasfile: ../wwwalias" >perswww
  fi
  


